Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 156434 - missing 'simplexml_import_dom' in simplexml
Summary: missing 'simplexml_import_dom' in simplexml
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: php
Version: rawhide
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Joe Orton
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-30 03:27 UTC by Ricardo Ariel Gorosito
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 5.0.4-9
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-21 15:34:53 UTC


Attachments (Terms of Use)

Description Ricardo Ariel Gorosito 2005-04-30 03:27:25 UTC
Description of problem:
The usefull 'simplexml_import_dom' function does not exist because SimpleXML has
been built (in main php package) without DOM (it is in php-xml)
see in ext/simplexml/simplexml.c :

#ifdef HAVE_DOM
/* {{{ proto simplemxml_element simplexml_import_dom(domNode node [, string
class_name])
   Get a simplexml_element object from dom to allow for processing */
PHP_FUNCTION(simplexml_import_dom)
{

simplexml need to be moved to php-xml?

Comment 1 Joe Orton 2005-04-30 10:16:23 UTC
Hmmm, good catch.  It may be simpler to move *just that function* to the dom
extension, if that's possible; I'll have a look.

Making simplexml shared doesn't really solve the issue, since then stuff which
relies on simplexml being linked statically doesn't work, e.g. the
SimpleXMLIterator in spl.


Comment 2 Joe Orton 2005-05-03 15:36:37 UTC
It doesn't look like that function actually relies on symbols from dom.so so it
should be OK to build into the php binaries.

Comment 3 Joe Orton 2005-05-05 08:15:14 UTC
Can you try out the php-5.0.4-9 package in Raw Hide?

Comment 4 Joe Orton 2005-06-21 15:34:53 UTC
Should be fixed in FC4 final.


Note You need to log in before you can comment on or make changes to this bug.